

#include <fosh/command.h>
#include <stdio.h>


CCommand::CCommand(const char *name, const char *helpString)
   :m_pName(name)
   ,m_pHelpString(helpString)
{

}


void CCommand::printHelp() const
{
   fputs("   ", stdout);
   fputs(m_pName, stdout);
   fputs(": ", stdout);
   fputs(m_pHelpString, stdout);
   fputs("\n", stdout);

   return;
}

/*
static CCommand *createInstance()
{
   //printf("createInstance Default\n");
   return( new CCommand("default") );
}
*/

//static const createFuncType createFunc __attribute__ ((section ("commands"), used)) = createInstance;


